controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;
use app\models\Videojuego;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }

    /**
     * Login action.
     *
     * @return Response|string
     */
    public function actionLogin()
    {
        if (!Yii::$app->user->isGuest) {
            return $this->goHome();
        }

        $model = new LoginForm();
        if ($model->load(Yii::$app->request->post()) && $model->login()) {
            return $this->goBack();
        }

        $model->password = '';
        return $this->render('login', [
            'model' => $model,
        ]);
    }

    /**
     * Logout action.
     *
     * @return Response
     */
    public function actionLogout()
    {
        Yii::$app->user->logout();

        return $this->goHome();
    }

    /**
     * Displays contact page.
     *
     * @return Response|string
     */
    public function actionContact()
    {
        $model = new ContactForm();
        if ($model->load(Yii::$app->request->post()) && $model->contact(Yii::$app->params['adminEmail'])) {
            Yii::$app->session->setFlash('contactFormSubmitted');

            return $this->refresh();
        }
        return $this->render('contact', [
            'model' => $model,
        ]);
    }

    /**
     * Displays about page.
     *
     * @return string
     */
    public function actionAbout()
    {
        return $this->render('about');
    }
    
    public function action2()
    {
        return $this->render('2');
    }
    
    public function action3()
    {
        return $this->render('3');
    }
    
    public function action4()
    {
        return $this->render('4');
    }
    
    public function action5()
    {
        return $this->render('5');
    }
    
    public function action6()
    {
        return $this->render('6');
    }
    
    public function action7()
    {
        return $this->render('7');
    }
    
    public function actionCompra()
    {
        return $this->render('compra');
    }

    public function actionCcuenta()
    {
        return $this->render('ccuenta');
    }
    
    public function actionBiblioteca()
    {
        return $this->render('biblioteca');
    }
    
    public function actionBiblioteca2()
    {
        return $this->render('biblioteca2');
    }
    
    public function actionBibliotecaet()
    {
        return $this->render('bibliotecaet');
    }
    
    public function actionBibliotecaet2()
    {
        return $this->render('bibliotecaet2');
    }
    
    public function action1()
    {
        return $this->render('1');
    }
    
    public function actionCompra2()
    {
        return $this->render('compra2');
    }
    
    public function actionCompra3()
    {
        return $this->render('compra3');
    }
    
    public function actionCompra4()
    {
        return $this->render('compra4');
    }
    
    public function actionCompra5()
    {
        return $this->render('compra5');
    }
    
    public function actionCompra6()
    {
        return $this->render('compra6');
    }
    
    public function actionCompra7()
    {
        return $this->render('compra7');
    }
    
    public function actionDlc()
    {
        return $this->render('dlc');
    }
    
    public function actionCompradlc()
    {
        return $this->render('compradlc');
    }
    
    public function actionCompraedi()
    {
        return $this->render('compraedi');
    }
    

}

views/site/1.php
<?php

/* @var $this yii\web\View */

use yii\helpers\Html;
use app\models\Videojuego;
use app\models\Distribuidor;
use app\models\Desarrollador;
use app\models\Genero;
use app\models\Version;
use app\models\Analista;
use app\models\AnalistaVideojuego;
use app\models\Dlc;
use app\models\Comentarios;
$this->title = '1';
$this->params['breadcrumbs'][] = $this->title;
?>

<html>
    <head>
        <link rel="stylesheet" type="text/css" href="site.css">
    </head>
    <body>
         <?= Html::a(Html::img('@web/imagenes/boton_retroceso.png', ['class'=>'retroceso']), ['/site/index']) ?>
        <div style="text-align: right">
            <tr>
                <td>
                    <strong><?= Videojuego::findOne(1)->nombre ?></strong>
                </td>
                <td>
                    <p>FECHA DE LANZAMIENTO:  <?= Videojuego::findOne(1)->fecha_lanzamiento ?><br>
                        DESARROLLADOR: <?= Desarrollador::findOne(1)->nombre ?><br>
                        EDITOR: <?= Distribuidor::findOne(1)->nombre ?></p>
                </td>
                <td>
                    <strong><p class="titulo"><u>Requisitos</u></p></strong>
                </td>
                <td>
                    <p>SO: <?= Videojuego::findOne(1)->SO ?><br>
                    Procesador: <?= Videojuego::findOne(1)->procesador ?><br>
                    Memoria: <?= Videojuego::findOne(1)->memoria ?><br>
                    Gráficos: <?= Videojuego::findOne(1)->grafica ?><br>
                    Almacenamiento: <?= Videojuego::findOne(1)->almacenamiento ?></p>
                </td>
                <td>
                    <strong><p class="titulo"><u>Generos</u></p></strong>
                </td>
                <td>
                    <p><?= Genero::findOne(3)->genero ?>, <?= Genero::findOne(4)->genero ?>, <?= Genero::findOne(5)->genero ?></p>
                </td>
            </tr>
        </div>
		
		<div style="text-align: center; position: relative; bottom: 300px">
           <?= Html::img('@web/imagenes/crusader_kings_III_tienda.JPG') ?>
        </div>
        
        <div style="border: 1px solid black; text-align: center; margin-left: 200px; margin-right: 200px">
            <?= Version::findOne(1)->version ?>
                <div style="background-color: black; color: white;">
                    <?= Version::findOne(1)->precio ?>
                </div>
                 <div style="background-color: greenyellow;">
                    <?php if (! Yii::$app->user->isGuest ){ ?>
                     <?= Html::a('comprar' , ['site/compra2']) ?>
                         
                      <?php } else { ?>
                    <?= Html::a('comprar' , ['/site/login']) ?>
                     <?php } ?>
                </div>
        </div>
		
		<div style="border: 1px solid black; text-align: center; margin-left: 200px; margin-right: 200px">
            <?= Version::findOne(2)->version ?>
            <td >
                <div style="background-color: black; color: white;">
                    <?= Version::findOne(2)->precio ?>
                </div>
                 <div style="background-color: greenyellow;">
                   <?php if (! Yii::$app->user->isGuest ){ ?>
                     <?= Html::a('comprar' , ['site/compraedi']) ?>
                         
                      <?php } else { ?>
                    <?= Html::a('comprar' , ['/site/login']) ?>
                     <?php } ?>
                </div>
                    
            </td>
        </div>
		
		<div style="text-align: center; border: 1px solid black; margin-left: 200px;  margin-right: 200px; margin-top: 5px">
			<tr>
				<td style="border-bottom: 1px solid black">
				Complementos
				</td>
		</div>
		<div style="text-align: center; border: 1px solid black; margin-left: 200px;  margin-right: 200px;">
				<td style="border-bottom: 1px solid black;">
					 <?= Html::img('@web/imagenes/northen_lords.JPG', ['class'=>'retroceso']) ?>
                                    <p style="float: left; position: relative; left: 280px; top: 10px"> <?= Dlc::findOne(1)->dlc ?></p>
					<p style="padding-top: 50px"></p>
					
                <div style="background-color: black; color: white;">
                    <?= Dlc::findOne(1)->precio ?>
                </div>
                 <div style="background-color: greenyellow;">
                    <?= Html::a('comprar' , ['/site/dlc']) ?>
                </div>
                    </a>
            
				</td>
			</tr>
		</div>
        
        <div style="text-align: center"
            <td>
                <strong><p class="titulo"><u>Acerca del juego</u></p></strong>
                </td>
                <td>
                    <?= Videojuego::findOne(1)->descripcion ?>
                </td>
        </div>
        
        <div style="text-align: center;">
            <strong><p class="titulo"><u>Calificaciones</u></p></strong>
			
            
            <div style="text-align: left; margin-left: 80px; position:relative; top: 150px">
                <td>
                    <?= Analista::findOne(5)->nombre ?>
                </td>
                <br>
                <td>
                    <?= AnalistaVideojuego::findOne(3)->puntuacion ?><br>
                    <?= AnalistaVideojuego::findOne(3)->analisis ?>
                </td>
            </div>
            <div style="text-align: center; float: inside ">
                <td>
                    <?= Analista::findOne(4)->nombre ?>
                </td>
                <br>
                <td>
                    <?= AnalistaVideojuego::findOne(2)->puntuacion ?><br>
                    <?= AnalistaVideojuego::findOne(2)->analisis ?>
                </td>
            </div>
            <div style="text-align: right; float: right; margin-right: 80px; position:relative; bottom: 150px">
                <td>
                    <?= Analista::findOne(3)->nombre ?>
                </td>
                <br>
                <td>
                    <?= AnalistaVideojuego::findOne(1)->puntuacion ?><br>
                    <?= AnalistaVideojuego::findOne(1)->analisis ?>
                </td>
            </div>
           
        </div>
        
        <div style="position: relative; top: 70px">
            <div style="border-bottom: 1px solid black; text-align: center">
                <p>Comentarios</p>
		</div>
            <br>
            <div style="text-align: center;">
                <?php if (! Yii::$app->user->isGuest ){ ?>
                     <?= Html::a('Comentar', ['comentarios/create'], ['class' => 'btn btn-success']) ?>
                         
                      <?php } else { ?>
                    <?= Html::a('Comentar' , ['/site/login'], ['class' => 'btn btn-success']) ?>
                     <?php } ?>
            </div>
            <br>
            <div style=" text-align: center; border: 1px solid black; margin-left: 200px; margin-right: 400px">
                <?= Comentarios::findOne(1)->usuario ?> <div style="position: relative; bottom: 15px"><?= Html::img('@web/imagenes/dislike.png', ['class'=>'enlaces']) ?></div> <br>
                    <?= Comentarios::findOne(1)->comentario ?>
		</div>
        </div>
        
    </body>
</html>

views/site/5.php
<?php

/* @var $this yii\web\View */

use yii\helpers\Html;
use app\models\Videojuego;
use app\models\Distribuidor;
use app\models\Desarrollador;
use app\models\Genero;
use app\models\Version;
use app\models\Analista;
use app\models\AnalistaVideojuego;
use app\models\Comentarios;

$this->title = '5';
$this->params['breadcrumbs'][] = $this->title;

?>
<html>
    <head>
        <link rel="stylesheet" type="text/css" href="site.css">
    </head>
    <body>
         <?= Html::a(Html::img('@web/imagenes/boton_retroceso.png', ['class'=>'retroceso']), ['/site/index']) ?>
        
        
        
        <div style="text-align: right">
            <tr>
                <td>
                   <strong> <?= Videojuego::findOne(5)->nombre ?> </strong>
                </td>
                <td>
                    <p>FECHA DE LANZAMIENTO: <?= Videojuego::findOne(5)->fecha_lanzamiento ?><br>
                        DESARROLLADOR: <?= Desarrollador::findOne(3)->nombre ?><br>
                        EDITOR: <?= Distribuidor::findOne(2)->nombre ?></p>
                </td>
                <td>
                    <strong><p class="titulo"><u>Requisitos</u></p></strong>
                </td>
                <td>
                    <p>SO: <?= Videojuego::findOne(5)->SO ?><br>
                    Procesador: <?= Videojuego::findOne(5)->procesador ?><br>
                    Memoria: <?= Videojuego::findOne(5)->memoria ?><br>
                    Gráficos: <?= Videojuego::findOne(5)->grafica ?><br>
                    Almacenamiento: <?= Videojuego::findOne(5)->almacenamiento ?></p>
                </td>
                <td>
                    <strong><p class="titulo"><u>Generos</u></p></strong>
                </td>
                <td>
                    <p><?= Genero::findOne(2)->genero ?>, <?= Genero::findOne(10)->genero ?>, <?= Genero::findOne(3)->genero ?></p>
                </td>
            </tr>
        </div>
		
		<div style="text-align: center; position: relative; bottom: 300px">
            <?= Html::img('@web/imagenes/mass_effect_2_tienda.JPG') ?>
        </div>
        
        <div style="border: 1px solid black; text-align: center; margin-left: 200px; margin-right: 200px">
            <?= Version::findOne(6)->version ?>
            <td ><a href="compra">
                <div style="background-color: black; color: white;">
                    <?= Version::findOne(6)->precio ?>
                </div>
                 <div style="background-color: greenyellow;">
                     <?php if (! Yii::$app->user->isGuest ){ ?>
                     <?= Html::a('comprar' , ['site/compra5']) ?>
                         
                      <?php } else { ?>
                    <?= Html::a('comprar' , ['/site/login']) ?>
                     <?php } ?>
                </div>
                    </a>
            </td>
        </div>
        
        <div style="text-align: center"
            <td>
                <strong><p class="titulo"><u>Acerca del juego</u></p></strong>
                </td>
                <td>
                    <?= Videojuego::findOne(5)->descripcion ?>
                </td>
        </div>
        
        <div style="text-align: center;">
            <strong><p class="titulo"><u>Calificaciones</u></p></strong>
			
            
            
            <div style="text-align: center; float: inside ">
                <td>
                    <?= Analista::findOne(5)->nombre ?>
                </td>
                <br>
                <td>
                    <?= AnalistaVideojuego::findOne(12)->puntuacion ?><br>
                    <?= AnalistaVideojuego::findOne(12)->analisis ?>
                </td>
            </div>
            
           
        </div> 
        
        <div style="position: relative; top: 70px">
            <div style="border-bottom: 1px solid black; text-align: center">
                <p>Comentarios</p>
		</div>
            <br>
            <div style="text-align: center;">
            <?php if (! Yii::$app->user->isGuest ){ ?>
                     <?= Html::a('Comentar', ['comentarios/create'], ['class' => 'btn btn-success']) ?>
                         
                      <?php } else { ?>
                    <?= Html::a('Comentar' , ['/site/login'], ['class' => 'btn btn-success']) ?>
                     <?php } ?>
            </div>
            <br>
            
        </div>
        
    </body>
</html>

views/site/biblioteca.php
<?php

/* @var $this yii\web\View */

use yii\helpers\Html;
use app\models\Videojuego;


$this->title = 'biblioteca';
$this->params['breadcrumbs'][] = $this->title;
?>

<html>

	<body>
	
	<div style="border-bottom: 1px solid black;">
            <div style="position: relative; left: 200px; top: 3px">
                        <?= Html::a('etiquetas' , ['etiquetas/index']) ?>
			</div>
            <div style="position: relative; left: 380px; bottom: 18px">
                        <?= Html::a('organizar juegos' , ['videojuego-etiqueta/index']) ?>
			</div>
            <div style="position: relative; left: 600px; bottom: 33px;">
                        <?= Html::a('cambiar vista' , ['site/biblioteca2']) ?>
			</div>
            <div style="position: relative; left: 720px; bottom: 56px;">
                        <?= Html::a('aplicar etiquetas' , ['site/bibliotecaet']) ?>
			</div>
		</div>
		
		<div style="display: inline-block; border-right: 1px solid black;">
			<div>
			<?= Html::a('Tienda' , ['site/index']) ?>
			</div>
			<div>
			<?= Html::a('Biblioteca' , ['site/biblioteca']) ?>
			</div>
			<div>
			<p>Descargas</p>
			</div>
		</div>
		
                <div style="padding-right: 1000px; position: relative; left: 100px; bottom: 55px; ">
			<div>
			<?= Html::img('@web/imagenes/crusader-kings-III_biblioteca.JPG', ['class'=>'imagen']) ?>
			</div>
			<div style="border: 1px solid black;  position: relative;">
			<p class="textbib"><?= Videojuego::findOne(1)->nombre ?></p>
			<?= Html::img('@web/imagenes/descarga.PNG', ['class'=>'imgdesc']) ?>
			</div>
		</div>
            
		<div style="padding-right: 1000px; position: relative; left: 260px; bottom: 297px;">
			<div>
			<?= Html::img('@web/imagenes/cyberpunk_biblioteca.JPG', ['class'=>'imagen']) ?>
			</div>
			<div style="border: 1px solid black; position: relative; ">
			<p class="textbib"><?= Videojuego::findOne(2)->nombre ?></p>
			<?= Html::img('@web/imagenes/descarga.PNG', ['class'=>'imgdesc']) ?>
			</div>
		</div>
            
            <div style="padding-right: 1000px; position: relative; left: 425px; bottom: 538px;">
			<div>
			<?= Html::img('@web/imagenes/europa_universalis_IV_biblioteca.JPG', ['class'=>'imagen']) ?>
			</div>
			<div style="border: 1px solid black; position: relative; ">
			<p class="textbib"><?= Videojuego::findOne(3)->nombre ?></p>
			<?= Html::img('@web/imagenes/descarga.PNG', ['class'=>'imgdesc']) ?>
			</div>
		</div>
            
            <div style="padding-right: 1000px; position: relative; left: 620px; bottom: 780px;">
			<div>
			<?= Html::img('@web/imagenes/mass_effect_biblioteca.JPG', ['class'=>'imagen']) ?>
			</div>
			<div style="border: 1px solid black; position: relative; ">
			<p class="textbib"><?= Videojuego::findOne(4)->nombre ?></p>
			<?= Html::img('@web/imagenes/descarga.PNG', ['class'=>'imgdesc']) ?>
			</div>
		</div>
            
            <div style="padding-right: 1000px; position: relative; left: 780px; bottom: 1022px;">
			<div>
			<?= Html::img('@web/imagenes/mass_effect_2_biblioteca.JPG', ['class'=>'imagen']) ?>
			</div>
			<div style="border: 1px solid black; position: relative; ">
			<p class="textbib"><?= Videojuego::findOne(5)->nombre ?></p>
			<?= Html::img('@web/imagenes/descarga.PNG', ['class'=>'imgdesc']) ?>
			</div>
		</div>
            
            <div style="padding-right: 1000px; position: relative; left: 950px; bottom: 1265px;">
			<div>
			<?= Html::img('@web/imagenes/mass_effect_3_biblioteca.JPG', ['class'=>'imagen']) ?>
			</div>
			<div style="border: 1px solid black; position: relative; ">
			<p class="textbib"><?= Videojuego::findOne(6)->nombre ?></p>
			<?= Html::img('@web/imagenes/descarga.PNG', ['class'=>'imgdesc']) ?>
			</div>
		</div>
            
            <div style="padding-right: 1000px; position: relative; left: 100px; bottom: 1265px;">
			<div>
			<?= Html::img('@web/imagenes/mass_effect_legendary_edition_biblioteca.JPG', ['class'=>'imagen']) ?>
			</div>
			<div style="border: 1px solid black; position: relative; ">
			<p class="textbib"><?= Videojuego::findOne(7)->nombre ?></p>
			<?= Html::img('@web/imagenes/descarga.PNG', ['class'=>'imgdesc']) ?>
			</div>
		</div>
		
	</body>

</html>

views/site/bibliotecaet.php
<?php

/* @var $this yii\web\View */

use yii\helpers\Html;
use app\models\Videojuego;
use app\models\VideojuegoEtiqueta;
use app\models\Etiquetas;


$this->title = 'bibliotecaet';
$this->params['breadcrumbs'][] = $this->title;
?>

<html>

	<body>
	
	<div style="border-bottom: 1px solid black; ">
            <div style="position: relative; left: 200px; top: 3px">
                        <?= Html::a('etiquetas' , ['etiquetas/index']) ?>
			</div>
            <div style="position: relative; left: 380px; bottom: 18px">
                        <?= Html::a('organizar juegos' , ['videojuego-etiqueta/index']) ?>
			</div>
            <div style="position: relative; left: 600px; bottom: 33px;">
                        <?= Html::a('cambiar vista' , ['site/bibliotecaet2']) ?>
			</div>
            <div style="position: relative; left: 720px; bottom: 56px;">
                        <?= Html::a('desaplicar etiquetas' , ['site/biblioteca']) ?>
			</div>
        </div>
		
		<div style="display: inline-block; border-right: 1px solid black;">
			<div>
			<?= Html::a('Tienda' , ['site/index']) ?>
			</div>
			<div>
			<?= Html::a('Biblioteca' , ['site/bibliotecaet']) ?>
			</div>
			<div>
			<p>Descargas</p>
			</div>
		</div>
            
            <div style=" position: relative; left: 70px; bottom: 68px">
                <div style="border: 1px solid black;">
                    <?=Etiquetas::findOne(2)->etiqueta ?>
                </div>
                <div style="padding-right: 1000px; position: relative; ">
			<div>
			<?= Html::img('@web/imagenes/mass_effect_biblioteca.JPG', ['class'=>'imagen']) ?>
			</div>
			<div style="border: 1px solid black; position: relative; ">
			<p class="textbib"><?= Videojuego::findOne(4)->nombre ?></p>
			<?= Html::img('@web/imagenes/descarga.PNG', ['class'=>'imgdesc']) ?>
			</div>
		</div>
            
            <div style="padding-right: 1000px; position: relative; left: 140px; bottom: 242px;">
			<div>
			<?= Html::img('@web/imagenes/mass_effect_2_biblioteca.JPG', ['class'=>'imagen']) ?>
			</div>
			<div style="border: 1px solid black; position: relative; ">
			<p class="textbib"><?= Videojuego::findOne(5)->nombre ?></p>
			<?= Html::img('@web/imagenes/descarga.PNG', ['class'=>'imgdesc']) ?>
			</div>
		</div>
            
            <div style="padding-right: 1000px; position: relative; left: 280px; bottom: 484px">
			<div>
			<?= Html::img('@web/imagenes/mass_effect_3_biblioteca.JPG', ['class'=>'imagen']) ?>
			</div>
			<div style="border: 1px solid black; position: relative; ">
			<p class="textbib"><?= Videojuego::findOne(6)->nombre ?></p>
			<?= Html::img('@web/imagenes/descarga.PNG', ['class'=>'imgdesc']) ?>
			</div>
		</div>
            
            <div style="padding-right: 1000px; position: relative; left: 420px; bottom: 746px">
			<div>
			<?= Html::img('@web/imagenes/mass_effect_legendary_edition_biblioteca.JPG', ['class'=>'imagen']) ?>
			</div>
			<div style="border: 1px solid black; position: relative; ">
			<p class="textbib"><?= Videojuego::findOne(7)->nombre ?></p>
			<?= Html::img('@web/imagenes/descarga.PNG', ['class'=>'imgdesc']) ?>
			</div>
		</div>
            </div>
            
            <div style=" position: relative; left: 70px; bottom: 800px">
                <div style="border: 1px solid black;">
                    <?=Etiquetas::findOne(1)->etiqueta ?>
                </div>
                <div style="padding-right: 1000px; position: relative;  ">
			<div>
			<?= Html::img('@web/imagenes/crusader-kings-III_biblioteca.JPG', ['class'=>'imagen']) ?>
			</div>
			<div style="border: 1px solid black;  position: relative;">
			<p class="textbib"><?= Videojuego::findOne(1)->nombre ?></p>
			<?= Html::img('@web/imagenes/descarga.PNG', ['class'=>'imgdesc']) ?>
			</div>
		</div>
            
            <div style="padding-right: 1000px; position: relative; left: 140px; bottom: 242px;">
			<div>
			<?= Html::img('@web/imagenes/europa_universalis_IV_biblioteca.JPG', ['class'=>'imagen']) ?>
			</div>
			<div style="border: 1px solid black; position: relative; ">
			<p class="textbib"><?= Videojuego::findOne(3)->nombre ?></p>
			<?= Html::img('@web/imagenes/descarga.PNG', ['class'=>'imgdesc']) ?>
			</div>
		</div>
            </div>
		
                
            <div style=" position: relative; left: 70px; bottom: 1000px">
                <div style="border: 1px solid black;">
                    <p>sin categorias</p>
                </div>
                <div style="padding-right: 1000px; position: relative;">
			<div>
			<?= Html::img('@web/imagenes/cyberpunk_biblioteca.JPG', ['class'=>'imagen']) ?>
			</div>
			<div style="border: 1px solid black; position: relative; ">
			<p class="textbib"><?= Videojuego::findOne(2)->nombre ?></p>
			<?= Html::img('@web/imagenes/descarga.PNG', ['class'=>'imgdesc']) ?>
			</div>
		</div>
            </div>
		
		
	</body>

</html>

views/site/compradlc.php
<?php

/* @var $this yii\web\View */

use yii\helpers\Html;
use app\models\Dlc;

$this->title = 'compradlc';
$this->params['breadcrumbs'][] = $this->title;
?>
<html>

	<body>
		 <?= Html::a(Html::img('@web/imagenes/boton_retroceso.png', ['class'=>'retroceso']), ['/site/dlc' ]) ?>
		<div style="text-align: center; border: 1px solid black; margin-left: 100px;  margin-right: 100px">
			<tr>
				<td style="border-bottom: 1px solid black">
				Producto/s
				</td>
		</div>
		<div style="text-align: center; border: 1px solid black; margin-left: 100px;  margin-right: 100px;">
				<td style="border-bottom: 1px solid black;">
					<?= Html::img('@web/imagenes/northen_lords.JPG', ['class'=>'retroceso']) ?>
					<p style="float: left; position: relative; left: 300px; top: 10px"> <?= Dlc::findOne(1)->dlc ?> <?= Dlc::findOne(1)->precio ?> €</p>
					<p style="padding-top: 50px"></p>
				</td>
			</tr>
		</div>
		
		<div style="margin-top: 20px; border: 1px solid black; margin-left: 100px;  margin-right: 100px; ">
                    <div>
			<?= Html::img('@web/imagenes/tarjetas.PNG', ['class'=>'retroceso']) ?>
                    </div>
			
                        <div style="position: relative; bottom: 25px ">
			<p style="text-align: center">tarjeta de credito</p>
			<div style= "text-align: center; ">
				 <input type="text" name="numero_tarjeta">
			</div>
			</div>
			
			<div style="position: relative; right: 300px; bottom: 40px;">
			<p style="text-align: center">Fecha de expiacion</p>
			<div style= "text-align: center;  margin-left: 380px;  margin-right: 500px">
				 <input type="text" name="Fecha_expiacion">
			</div>
			</div>
			
			<div style="position: relative; left: 300px; bottom: 90px; margin-bottom: -80px;">
			<p style="text-align: center">CVC/CW</p>
			<div style=" text-align: center;  margin-left: 400px;  margin-right: 500px">
				<input type="text" name="CVC">
			</div>
			</div>
			
			<p style="text-align: center">Nombre en la tarjeta</p>
			<div style="text-align: center;  margin-left: 250px;  margin-right: 250px">
				<input type="text" name="nombre_tarjeta">
			</div>
			
			<div style="text-align: center; margin-left: 220px;  margin-right: 220px; margin-top: 20px;">
				<input type="submit" style="text-align: center; border: 1px solid black;background-color: greenyellow" value="Pagar">
			</div>
                        
                </div>
		
	</body>

</html>

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>